
<div class="example-container">

  
 <form class="form"  (ngSubmit)="onSubmit(f)" #f="ngForm"   fxLayout="column" fxLayoutAlign="space-around center">

  <mat-form-field>
    <input matInput type="email" placeholder="Email Address"  ngModel   #inemail="ngModel"  email required name="email">
    <mat-error    *ngIf="inemail.hasError('required')"  >please enter Valid email Address</mat-error>

  </mat-form-field>


  <mat-form-field   hintLabel= "Should be At least 6 Characters">
    <input matInput  type="password" placeholder="Password" ngModel  required minlength="6"    #inpwd="ngModel" name="Password">
    <mat-hint align="end">   {{inpwd.value?.length}}/6</mat-hint>
  </mat-form-field>

   
    <mat-form-field>
      <input matInput [matDatepicker]="picker"      ngModel  name="doB" placeholder="Date of Birth">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>



    <mat-checkbox   ngModel name="Agree"  required labelPosition= "after">i Agree  the Terms</mat-checkbox>



  <button mat-flat-button	 type="submit"  color="accent">Register</button>


  <!-- <mat-form-field>
    <textarea matInput placeholder="Textarea"></textarea>
  </mat-form-field>

  <mat-form-field>
    <mat-select placeholder="Select">
      <mat-option value="0"></mat-option>
      <mat-option value="1">BasketBall</mat-option>  
       <mat-option value="2">Batmenton</mat-option>
       <mat-option value="3">Cricker</mat-option>
    </mat-select> 

  </mat-form-field> -->

</form>
 
</div>

<!-- 
<section  fxLayout="row" fxLayoutAlign="space-around center"  id="container" >
    <div  id="c1" class="child">
      A
    </div>
    <div  id="c2" class="child">
      b
    </div>
      <div id="c3" class="child">
        c
    </div>
</section>
  -->